Katello - Bug #7115

Capsules cannot sync - errors thrown by goferd
08/15/2014 03:19 PM - Justin Sherrill

Status: Closed

Priority: Urgent

Assignee: Justin Sherrill

Category: Foreman Proxy Content

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129835 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1129835
Description of problem:
When trying to sync content to a capsule, errors are immediately thrown in /var/log/messages on capsule side

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140806.0

How reproducible:
Every time?

Steps to Reproduce:

1. Create and register capsule to sat6 instance

2. # hammer --username admin --password changeme capsule content synchronize --id 2
3.

Actual results:
On sat:

TSP RO 1[100%)]
Task 8502b5a6-9266-455b-b843-ad582fe3ff11: success

However, seen immediately in pulp logs on capsule upon triggering sync command:

Aug 13 14:14:39 geblade6 goferd: [INFO][worker-0] gofer.rmi.dispatcher:612 - call: Content.update()
sn=641374d8-cb71-4c71-8948-37c86d586d3e info={"task_id": 'eb85f556-c2bf-4dcd-b042-a81356416b23', 'consumer_id':
'6bfba060-afeb-47e0-bbf1-bf83469834b9'}

Aug 13 14:14:39 geblade6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - handler failed

Aug 13 14:14:39 geblade6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - Traceback (most recent call last): File
"/usr/lib/python2.6/site-packages/pulp/agent/lib/dispatcher.py”, line 108, in update report = handler.update(conduit, units,
dict(options)) File "/usr/lib/python2.6/site-packages/pulp_node/handlers/handler.py”, line 89, in update pulp_bindings =
parent_bindings(options) File "/ust/lib/python2.6/site-packages/pulp_node/handlers/handler.py”, line 44, in parent_bindings return
resources.parent_bindings(host, port) File "/usr/lib/python2.6/site-packages/pulp_node/resources.py", line 57, in parent_bindings
node_conf = node_configuration() File "/usr/lib/python2.6/site-packages/pulp_node/resources.py”, line 43, in node_configuration
cfg.validate(NODE_SCHEMA) File "/usr/lib/python2.6/site-packages/pulp/common/config.py", line 296, in validate return
v.validate(self) File "/usr/lib/python2.6/site-packages/pulp/common/config.py”, line 360, in validate s.validate(section) File
"/ust/lib/python2.6/site-packages/pulp/common/config.py", line 476, in validate self.validproperty(section, property) File
"/usr/lib/python2.6/site-packages/pulp/common/config.py", line 494, in validproperty raise pe PropertyNotFound: Required property
"main.ca_path", not found

Aug 13 14:14:39 geblade6 goferd: [INFO][worker-0] gofer.agent.rmi:149 - sn=641374d8-cb71-4c71-8948-37c86d586d3e processed
in: 30 (ms)

Expected results:
Sync works.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1129835

We probably shouldn't be returning a success message, but that is/should be a different bz.

Associated revisions

Revision 7ee62964 - 08/18/2014 11:37 AM - Justin Sherrill

fixes #7115 - specify cert options for nodes.conf

Revision b387f931 - 08/18/2014 12:08 PM - Justin Sherrill
Merge pull request #25 from jisherril/7115

fixes #7115 - specify cert options for nodes.conf

Revision e25877fd - 08/19/2014 06:55 AM - Ivan Necas
Refs #6875,#7115 - Update pulp,certs and capsule module

History

#1 - 08/15/2014 03:30 PM - Justin Sherrill

- Status changed from New to Assigned

- Target version set to 54

- translation missing: en.field_release set to 13
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#3 - 08/19/2014 09:13 AM - Justin Sherrill

- Status changed from Assigned to Closed

Merged in https:/github.com/Katello/katello-installer/pull/94
